<@nav.dropdown @onHide={{this.onHide}} @onShow={{this.onShow}} as |currency-dropdown|>
  <currency-dropdown.button @type={{this.application.colorScheme}}>
    {{#unless this.opened}}
      <BsTooltip @delayShow="500" @title={{t "components.app.main-header.currency-selector.help"}} />
    {{/unless}}

    {{#if (eq this.application.currency.ticker "EUR")}}
      <span class="fa-layers">
        <FaIcon @icon="circle" />
        <FaIcon @icon="euro-sign" @transform="shrink-7" />
      </span>
    {{else if (eq this.application.currency.ticker "USD")}}
      <span class="fa-layers">
        <FaIcon @icon="circle" />
        <FaIcon @icon="dollar-sign" @transform="shrink-7" />
      </span>
    {{else if (eq this.application.currency.ticker "BTC")}}
      <FaIcon @icon="bitcoin" @prefix="fab" />
    {{else if (eq this.application.currency.ticker "ETH")}}
      <span class="fa-layers">
        <FaIcon @icon="circle" />
        <FaIcon @icon="ethereum" @prefix="fab" @transform="shrink-7" />
      </span>
    {{else if (eq this.application.currency.ticker "SATS")}}
      <FaIcon @icon="bitcoin" @prefix="fab" />
    {{/if}}
    {{this.application.currency.ticker}}
  </currency-dropdown.button>

  <currency-dropdown.menu @align="right" as |currency-dropdown-menu|>

    <h6 class="dropdown-header">Devises</h6>
    <currency-dropdown-menu.item>
      <BsButton
        class="dropdown-item {{if (eq this.application.currency.ticker 'EUR') 'active'}}"
        {{on "click" (fn this.setCurrency "EUR")}}
      >
        <div class="media">
          <span class="fa-layers fa-lg align-self-center mr-3">
            <FaIcon @icon="circle" />
            <FaIcon @icon="euro-sign" @transform="shrink-7" />
          </span>
          <div class="media-body">
            <h3 class="dropdown-item-title">Euro</h3>
            <p class="mb-0 text-sm text-muted">EUR - €</p>
          </div>
        </div>
      </BsButton>
    </currency-dropdown-menu.item>

    <currency-dropdown-menu.item>
      <BsButton
        class="dropdown-item {{if (eq this.application.currency.ticker 'USD') 'active'}}"
        {{on "click" (fn this.setCurrency "USD")}}
      >
        <div class="media">
          <span class="fa-layers fa-lg align-self-center mr-3">
            <FaIcon @icon="circle" />
            <FaIcon @icon="dollar-sign" @transform="shrink-7" />
          </span>
          <div class="media-body">
            <h3 class="dropdown-item-title">United states Dollar</h3>
            <p class="mb-0 text-sm text-muted">USD - $</p>
          </div>
        </div>
      </BsButton>
    </currency-dropdown-menu.item>

    <currency-dropdown-menu.divider />
    <h6 class="dropdown-header">Cryptos</h6>

    <currency-dropdown-menu.item>
      <BsButton
        class="dropdown-item {{if (eq this.application.currency.ticker 'BTC') 'active'}}"
        {{on "click" (fn this.setCurrency "BTC")}}
      >
        <div class="media">
          <FaIcon @icon="bitcoin" @prefix="fab" @size="lg" class="align-self-center mr-3" />
          <div class="media-body">
            <h3 class="dropdown-item-title">Bitcoin</h3>
            <p class="mb-0 text-sm text-muted">BTC</p>
          </div>
        </div>
      </BsButton>
    </currency-dropdown-menu.item>

    <currency-dropdown-menu.item>
      <BsButton
        class="dropdown-item {{if (eq this.application.currency.ticker 'ETH') 'active'}}"
        {{on "click" (fn this.setCurrency "ETH")}}
      >
        <div class="media">
          <span class="fa-layers fa-lg align-self-center mr-3">
            <FaIcon @icon="circle" />
            <FaIcon @icon="ethereum" @prefix="fab" @transform="shrink-7" />
          </span>
          <div class="media-body">
            <h3 class="dropdown-item-title">Ethereum</h3>
            <p class="mb-0 text-sm text-muted">ETH</p>
          </div>
        </div>
      </BsButton>
    </currency-dropdown-menu.item>

    <currency-dropdown-menu.divider />
    <h6 class="dropdown-header">Bitcoin unités</h6>

    <currency-dropdown-menu.item>
      <BsButton
        class="dropdown-item {{if (eq this.application.currency.ticker 'SATS') 'active'}}"
        {{on "click" (fn this.setCurrency "SATS")}}
      >
        <div class="media">
          <FaIcon @icon="bitcoin" @prefix="fab" @size="lg" class="align-self-center mr-3" />
          <div class="media-body">
            <h3 class="dropdown-item-title">Satoshi</h3>
            <p class="mb-0 text-sm text-muted">SATS</p>
          </div>
        </div>
      </BsButton>
    </currency-dropdown-menu.item>

  </currency-dropdown.menu>
</@nav.dropdown>